Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions
Interface TrainableTransition

All Superinterfaces:
  Cloneable, Storable, Transition, TransitionWithSufficientStatistic

All Known Subinterfaces:
  TrainableAndDifferentiableTransition

All Known Implementing Classes:
  BasicHigherOrderTransition, HigherOrderTransition

    public interface TrainableTransition

extends TransitionWithSufficientStatistic

This class declares methods that allow for estimating the parameters from a sufficient statistic, as for instance done in the (modified) Baum-Welch algorithm, viterbi training, or Gibbs sampling.

Author:
  Jens Keilwagen

Method Summary
`void` | `estimateFromStatistic()` This method estimates the parameter of the transition using the internal sufficient statistic.

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.TransitionWithSufficientStatistic
`addToStatistic, getLogGammaScoreFromStatistic, joinStatistics, resetStatistic`

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.Transition
`clone, fillTransitionInformation, getChildIdx, getGraphizNetworkRepresentation, getLastContextState, getLogPriorTerm, getLogScoreFor, getMaximalInDegree, getMaximalMarkovOrder, getMaximalNumberOfChildren, getNumberOfChildren, getNumberOfIndexes, getNumberOfStates, hasAnySelfTransitions, initializeRandomly, isAbsoring, setParameters, toString`

Methods inherited from interface de.jstacs.Storable
`toXML`

Method Detail

### estimateFromStatistic

    void estimateFromStatistic()

  This method estimates the parameter of the transition using the internal sufficient statistic.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD